Skip to main content

post_user

POST /users

Create a user

POST /api/v1/users

{
"data": {
"type": "users",
"attributes": {
"email": "jhon.due@example.com",
"firstname": "jhon",
"lastname": "due",
"saml_enabled": false,
"user_role_type": "custom",
"custom_user_role_id": "8836a1ef-1419-497f-960a-ef3024b0f8d4"
}
}
}

attributes

attributedescription
email
string
user email
firstname
string
user firstname
lastname
string
user lastname
phone_number
string
user phone number
user_role_type
enum
user role (admin, manager, custom)
saml_enabled
boolean
user use a single sign
force_invitation_email
boolean
invitation email will be sent regardless of :saml_enabled (optional)
custom_user_role_id
string
user custom role id (If user_role_type is custom)
language_id
string
user language id (default: Dashboard company language)
segments
_hash { segmentid: string|array[string] }
user restricted segments values